#include <iostream>

using namespace std;

int t, m, n, k, ii;

int main(){
	freopen("NUTS.IN","r",stdin);
	freopen("output.txt","w",stdout);
	cin >> t;
	for (ii=0; ii<t; ii++){
		cin >> m >> n >> k;
		if (m*n<k) cout << "NO\n";
		else cout << "YES\n";
	}
	return 0;
}